com.amazonaws.codegen.model.intermediate

## Class WaiterDefinitionModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.WaiterDefinitionModel

    public class WaiterDefinitionModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WaiterDefinitionModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<AcceptorModel>` `getAcceptors()`
`int` `getDelay()`
`int` `getMaxAttempts()`
`String` `getOperationMethodName()`
`OperationModel` `getOperationModel()`
`String` `getOperationName()`
`String` `getWaiterMethodName()`
`String` `getWaiterName()`
`void` `setAcceptors(List<AcceptorModel> acceptors)`
`void` `setDelay(int delay)`
`void` `setMaxAttempts(int maxAttempts)`
`void` `setOperationModel(OperationModel operationModel)`
`void` `setWaiterName(String waiterName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WaiterDefinitionModel

    public WaiterDefinitionModel()

### Method Detail

#### getWaiterName

    public String getWaiterName()

#### setWaiterName

    public void setWaiterName(String waiterName)

#### getDelay

    public int getDelay()

#### setDelay

    public void setDelay(int delay)

#### getMaxAttempts

    public int getMaxAttempts()

#### setMaxAttempts

    public void setMaxAttempts(int maxAttempts)

#### getWaiterMethodName

    public String getWaiterMethodName()

#### getAcceptors

    public List<AcceptorModel> getAcceptors()

#### setAcceptors

    public void setAcceptors(List<AcceptorModel> acceptors)

#### getOperationName

    public String getOperationName()

#### getOperationModel

    public OperationModel getOperationModel()

#### setOperationModel

    public void setOperationModel(OperationModel operationModel)

#### getOperationMethodName

    public String getOperationMethodName()